package query

import (
	"github.com/odysseus/service-registry/common"
	"github.com/redis/go-redis/v9"
)

type WorkerInfo struct {
	Timestamp int64  `redis:"timestamp" json:"timestamp"`
	Endpoint  string `redis:"endpoint" json:"endpoint"`
}

func (g WorkerInfo) TimeStamp() int64 {
	return g.Timestamp
}

type workerQuery struct {
	rdb     *redis.Client
	service common.ServiceType
}

func getWorkerQuery(rdb *redis.Client) ServiceQuery {
	return workerQuery{
		rdb:     rdb,
		service: common.SERVICE_WORKER,
	}
}

func (g workerQuery) ModuleName() string {
	return g.service.String()
}

func (g workerQuery) List() ([]string, error) {
	return []string{}, nil
}

func (g workerQuery) ServiceInfo(serviceid string) (string, error) {
	return "", nil
}
